Skip to main content
GET
List UDF versions
Returns all versions of a UDF.

Permission

The API key must have the control-plane:organization:view permission.

Autorizaciones

Authorization
string
header
requerido

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Parámetros de ruta

organizationId
string<uuid>
requerido

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
functionName
string
requerido

Name of the UDF.

Pattern: ^[A-Za-z][A-Za-z0-9_]*$

Parámetros de consulta

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
predeterminado:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

Rango requerido: x <= 100

Respuesta

Successful response.

result
object[]
requerido

Versions of the UDF in this page.

limit
integer
requerido

Maximum number of results returned in this page.

totalCount
integer | null
requerido

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
requerido

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
requerido

HTTP status code.

Ejemplo:

200

requestId
string<uuid>
requerido

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
Última modificación el 3 de octubre de 2026